Package org.eclipse.emf.compare.match.eobject

# Enum Class EqualityHelperExtensionProvider.SpecificMatch

java.lang.Object
java.lang.Enum<EqualityHelperExtensionProvider.SpecificMatch>
org.eclipse.emf.compare.match.eobject.EqualityHelperExtensionProvider.SpecificMatch

All Implemented Interfaces:
  `Serializable`, `Comparable<EqualityHelperExtensionProvider.SpecificMatch>`, `java.lang.constant.Constable`

Enclosing interface:
  `EqualityHelperExtensionProvider`

public static enum EqualityHelperExtensionProvider.SpecificMatch extends Enum<EqualityHelperExtensionProvider.SpecificMatch>
Enumeration used to return the result of a specific matching.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MATCH`
If these objects have been determined to be a match by this extension.
`UNKNOWN`
This means that this specific extension provider doesn't know how to handle the given objects.
`UNMATCH`
If these objects have been determined to not match by this extension.

## Method Summary

Modifier and Type
Method
Description
`static EqualityHelperExtensionProvider.SpecificMatch`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EqualityHelperExtensionProvider.SpecificMatch[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNKNOWN

public static final EqualityHelperExtensionProvider.SpecificMatch UNKNOWN
This means that this specific extension provider doesn't know how to handle the given objects.

### MATCH

public static final EqualityHelperExtensionProvider.SpecificMatch MATCH
If these objects have been determined to be a match by this extension.

### UNMATCH

public static final EqualityHelperExtensionProvider.SpecificMatch UNMATCH
If these objects have been determined to not match by this extension.

## Method Details

### values

public static EqualityHelperExtensionProvider.SpecificMatch[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EqualityHelperExtensionProvider.SpecificMatch valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null